Subject: bug#70856: 30.0.50; Hang when scrolling the echo-line with pixel-scroll-precision-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 May 2024 10:09:28 +0300

> Cc: [email-masked], [email-masked]
> Date: Fri, 10 May 2024 11:02:01 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > I believe we need two changes.
> >
> > 1. In `pixel-scroll-precision-scroll-down` and `-up`, set `max-height`
> >    to a minimum of `1` (pixel). It looks like someone already "fixed" the
> >    `-up` variant, but I'm not sure that that "fix" is correct as it
> >    prevents scrolling in a 1-line window.
> > 2. Disable `pixel-scroll-precision-mode` in the echo area and
> >    minibuffer? It does not behave well in either case.
> >
> > But I'm not sure. I'm happy to submit a patch if this sounds like the
> > right approach.
> 
> I've fixed this on master, please test and ack.

Thanks, but please clarify the doc string some more:

>  +Note that this function doesn't work if DELTA is larger than or
>  +equal to the height of the current window."

This note is not very useful without explaining what exactly is meant
by "the height of the current window", and whether this inequality
should be done in pixel or character units.